Subject: bug#71777: 29.4; sexp-at-point in latex-mode when sexp contains ";"

From: Jeremy Bryant <[email-masked]>
Date: Tue, 25 Jun 2024 22:52:51 +0100

Gabriele Nicolardi <[email-masked]> writes:

> Hi,
>
> I have this string expression in latex-mode:
>
> $K(U_1, V_1, x_1; t_2, x_2)$
>
> If the pointer is located on the opened "(" and I run "forward-sexp"
> it works and the
> pointer goes after the closed ")".
>
> But if, again, the pointer is located on the opened "(" and I evaluate
> "(sexp-at-point)" it returns nil.
>
> If I remove the ";" symbol from the expression it works and returns
> the sexp-at-point:
>
> $K(U_1, V_1, x_1 t_2, x_2)$
>
> Is it a bug?
>
> Best regards,
>
> Gabriele
>
>
> In GNU Emacs 29.4 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.20,
> cairo version 1.16.0) of 2024-06-24 built on lcy02-amd64-050
> Repository revision: 176061eb965cf945e7627ce87bb16ec5a03f8a4d
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
> System Description: Ubuntu 20.04.6 LTS
>

> Important settings:
> value of $LANG: it_IT.UTF-8
> locale-coding-system: utf-8-unix
>
> Major mode: LaTeX

This suggests you are using the major mode from AUCTeX, rather than the
built-in latex-mode?  Is this right?